require "yaml"
module Cancerpredict
  class Engine < ::Rails::Engine
    initializer "cancerpredict" do 
      OrbitApp.registration "Cancerpredict", :type => "ModuleApp" do
        base_url File.expand_path File.dirname(__FILE__)
        taggable "cancerpredictfields"
        categorizable
        authorizable
        widget_methods ["widget"]
        widget_settings [{"data_count"=>1}]
        set_keyword_contstraints ['cancerpredictResult']
    		frontend_enabled
    		side_bar do
          head_label_i18n 'cancerpredict.cancerpredict', icon_class: "icons-tools"
          available_for "users"
          active_for_controllers (['admin/cancerpredicts'])
          head_link_path "admin_cancerpredicts_path"
          set_sidebar_order -10

          context_link 'cancerpredict.cancerpredict',
                                    :link_path=>"admin_cancerpredicts_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/cancerpredicts'=>'index'},
                                    :available_for => 'users'
    		  context_link 'cancerpredict.submitResult',
                                    :link_path=>"admin_cancerpredicts_showSubmit_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/cancerpredicts'=>'show_submit'},
                                    :available_for => 'users'
    		  context_link 'cancerpredict.export_cancer_predict_tool_records',
                                    :link_path=>"admin_cancerpredicts_export_cancer_tool_record_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/cancerpredicts'=>'export_cancer_tool_record'},
                                    :available_for => 'users'
    		end
      end
    end
  end
end